Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.rollover
Class TreeRolloverProducer

    java.lang.Object
      org.jdesktop.swingx.rollover.RolloverProducer
          org.jdesktop.swingx.rollover.TreeRolloverProducer

All Implemented Interfaces:
  java.awt.event.ComponentListener, java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.util.EventListener

    public class TreeRolloverProducer

extends RolloverProducer

Tree-specific implementation of RolloverProducer.

This implementation assumes a "hit" for rollover if the mouse is anywhere in the total width of the tree. Additionally, a pressed to the right (but outside of the label bounds) is re-dispatched as a pressed just inside the label bounds. This is a first go for #166-swingx.

PENDING JW: bidi-compliance of pressed?

Author:
  Jeanette Winzenburg

Field Summary

Fields inherited from class org.jdesktop.swingx.rollover.RolloverProducer
`CLICKED_KEY, rollover, ROLLOVER_KEY`

Constructor Summary
`TreeRolloverProducer()`

Method Summary
`void` | `mousePressed(java.awt.event.MouseEvent e)` Implemented to do nothing.
`protected void` | `updateRolloverPoint(javax.swing.JComponent component, java.awt.Point mousePoint)` Subclasses must implement to map the given mouse coordinates into appropriate client coordinates.

Methods inherited from class org.jdesktop.swingx.rollover.RolloverProducer
`componentHidden, componentMoved, componentResized, componentShown, install, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mouseReleased, release, updateClientProperty, updateRollover`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeRolloverProducer

    public TreeRolloverProducer()

Method Detail

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Description copied from class: `RolloverProducer`
  Implemented to do nothing.

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`
  Overrides:
    `mousePressed` in class `RolloverProducer`

### updateRolloverPoint

    protected void updateRolloverPoint(javax.swing.JComponent component,
                                       java.awt.Point mousePoint)

  Description copied from class: `RolloverProducer`
  Subclasses must implement to map the given mouse coordinates into appropriate client coordinates. The result must be stored in the rollover field.

  Specified by:
    `updateRolloverPoint` in class `RolloverProducer`
  Parameters:
    `component` - the target component which received a mouse event
    `mousePoint` - the mouse position of the event, coordinates are component pixels

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.